Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82865 - rpm --eval returns non-zero exit status
Summary: rpm --eval returns non-zero exit status
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: rpm
Version: beta4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-27 22:02 UTC by Nalin Dahyabhai
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-28 12:34:08 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2003-01-27 22:02:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030121

Description of problem:
When I use rpm --eval to evaluate a macro, the shell exit status is 3.  I would
expect 0 when the macro is evaluated properly (i.e., evaluation completes
without having to break out of an infinite recursion).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm --eval '%{_libdir}'
2. echo $?

Actual Results:  3

Expected Results:  0

Comment 1 Nalin Dahyabhai 2003-01-27 22:03:31 UTC
Whoops, checked with rpm-4.2-0.61 and rpm-4.2-0.62.

Comment 2 Jeff Johnson 2003-01-28 12:34:08 UTC
Duh, my brain fart. Fixed in rpm-4.2-0.63 when bu7ilt.


Note You need to log in before you can comment on or make changes to this bug.